<?php
// Jeli nie przekazano szukanego łańcucha, nie można rozpocząć wyszukiwania
$drink = $_REQUEST['drink'];
if (empty($drink)) {
   $drink = 'TEA';
} else  {
    // Usuwanie odstępów z poczštku i końca łańcucha
    $search = trim($drink);

    switch($search) {
      case "TEA" :
         $result = "<h3>Goršca herbata</h3><p>Zagotuj wodę. " .
                   "Zalej licie herbaty. Parz pięć minut. " .
                   "Po odcedzeniu można podawać.</p>";
         break;
      case "APPLETINI" :
         $result = "<h3>Appletini</h3><p>Wymieszaj w szklance z lodem 30 ml wódki i 15 ml " .
                   "Sour Apple Schnapps lub innego sznapsa jabłkowego. Przelej do kieliszka do martini. " .
                   "Udekoruj plasterkiem jabłka lub rodzynkami.</p>";
         break;
      case "NONCHAMP" :
         $result = "<h3>Szampan bezalkoholowy</h3><p>Wymieszaj 900 ml wody sodowej" .
                   " z 300 ml zmrożonego białego skoncentrowanego soku winogronowego.</p>";
         break;
      case "SWMPMARGARITA" :
         $result = "<h3>Swamp Margarita</h3>" .
                   "<p>Wymieszaj 45 ml dobrej tequili, 20 ml Cointreau, " .
                   "20 ml Grand Marnier, 15 ml soku cytrynowego i 60 ml sour mix. Schładzaj przez godzinę. " .
                   "Wrzuć na dno wysokiej szklanki kilka zielonych oliwek i wlej kilka kropel oliwy z oliwek. " .
                   "Wlej margeritę na oliwki i odczekaj dziesięć minut. " .
                   "Odcedź i podawaj z oliwkami na wykałaczkach nadziewanymi pieprzem angielskim.</p>";
         break;
      case "LEMON" :
         $result = "<h3>Kropla cytryny</h3><p>Wymieszaj 30 ml wódki cytrynowej " .
                   "z 30 ml soku cytrynowego i jedną łyżką cukru. Wymieszaj z lodem, " .
                   "odcedź i podawaj.</p>";
         break;
      default :
         $result = "Brak przepisu";
         break;
      }
}

echo $result;
?>
